##### GENERAL STUFF #####
%define version		1.4.2
%define release		%mkrel 6
%define libname		%mklibname gwenview 1
%define libnamedev	%mklibname gwenview 1 -d

# Avoid KDE-libtoolize-bug with Mandriva-versions <= 2007.1
%if %mdkversion <= 200710
%define __libtoolize /bin/true
%endif

Name:		gwenview
Summary:	Fast and easy to use image viewer for KDE
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://gwenview.sourceforge.net
Group:		Graphics
Source0:	%{name}-%{version}.tar.bz2
Patch0:		gwenview-1bpp_image.patch
Requires:	%libname = %{version}
#Requires:	gwenview-i18n = %{version}
BuildRequires:	automake libtool desktop-file-utils
BuildRequires:	kdelibs-devel libexiv-devel
# Next BuildRequire is optional, but recommended for full functionality:
BuildRequires:	libkipi-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot


##### DESCRIPTION gwenview #####
%description
Gwenview is a fast and easy to use image viewer/browser for KDE.
All common image formats are supported, such as PNG(including transparency), 
JPEG(including EXIF tags and lossless transformations), GIF, XCF (Gimp 
image format), BMP, XPM and others. Standard features include slideshow, 
fullscreen view, image thumbnails, drag'n'drop, image zoom, full network 
transparency using the KIO framework, including basic file operations and 
browsing in compressed archives, non-blocking GUI with adjustable views. 
Gwenview also provides image and directory KParts components for use e.g. in 
Konqueror. Additional features, such as image renaming, comparing, 
converting, and batch processing, HTML gallery and others are provided by the 
KIPI image framework.



##### SUB-PACKAGE libgwenview #####
%package -n %libname
Summary:	Libraries for gwenview image viewer
Group:		System/Libraries
Requires:	%{name} = %{version}
Provides:	libgwenview = %{version}-%{release}

##### DESCRIPTION libgwenview #####
%description -n %libname
Gwenview is a fast and easy to use image viewer/browser for KDE.
%{libname} contains the libraries needed to use gwenview



##### SUB-PACKAGE libgwenview-devel #####
%package -n %libnamedev
Summary:	Devel files (gwenview image viewer)
Group:		Development/Other
Requires:	%libname = %{version}
Provides:	libgwenview-devel = %{version}-%{release}
Provides:	gwenview-devel = %{version}-%{release}

##### DESCRIPTION libgwenview-devel #####
%description -n %libnamedev
Gwenview is a fast and easy to use image viewer/browser for KDE.
%{libnamedev} contains the libraries and header files needed to
develop programs which make use of %{libname}.



##### PREP #####
%prep
%setup -q
%patch0


##### BUILD #####
%build
%configure KDEDIR=%{_prefix}
%make


##### INSTALL #####
%install
rm -rf %{buildroot}
%makeinstall_std


# *.desktop-file modification (XDG-Menu)
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Viewer" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir %{buildroot}%{_datadir}/applications/kde %{buildroot}%{_datadir}/applications/kde/%{name}.desktop

#icons for rpmlint
mkdir -p %{buildroot}/{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
ln -s ../hicolor/16x16/apps/%{name}.png %{buildroot}/%{_miconsdir}
ln -s ./hicolor/32x32/apps/%{name}.png %{buildroot}/%{_iconsdir}
ln -s ../hicolor/48x48/apps/%{name}.png %{buildroot}/%{_liconsdir}


%post
%update_menus
%update_icon_cache crystalsvg
%update_icon_cache hicolor

%postun
%clean_menus
%clean_icon_cache crystalsvg
%clean_icon_cache hicolor

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf %{buildroot}



##### FILE LISTS FOR ALL BINARY PACKAGES #####

##### gwenview #####
%files
%defattr(-,root,root)

%doc AUTHORS COPYING COPYING-DOCS INSTALL NEWS README
%{_bindir}/%{name}
%{_datadir}/applications/kde/%{name}.desktop
%{_datadir}/apps/gvdirpart/*.rc
%{_datadir}/apps/gvimagepart/*.rc
%{_datadir}/apps/%{name}/*
%{_datadir}/apps/kconf_update/%{name}*
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_datadir}/config.kcfg/*.kcfg
%{_datadir}/services/*.desktop
%{_docdir}/HTML/*
%{_mandir}/man1/%{name}.*
%{_iconsdir}/*
%{_libdir}/kde3/*
%{_libdir}/libkdeinit_%{name}.so
%{_libdir}/libkdeinit_%{name}.la

##### libgwenview #####
%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

##### libgwenview-devel #####
%files -n %{libnamedev}
%defattr(-,root,root)
%{_libdir}/lib%{name}core.so
%{_libdir}/lib%{name}core.la



##### CHANGELOG #####
%changelog
* Sat Jan 19 2008 Oliver Burger <rpm@mandrivauser.de> 1.4.2-6mud2008.0
- rebuild of MadMax's package with patch for the 1bpp-bug
- set release to 6 to be newer than unpatched mdv-package

* Thu Nov 01 2007 MaxiPunkt <email@domain.de> 1.4.2-1max
- First self-made built for Mandriva with cleaned SPEC